/**
   fichier Affichage.java
   Classe permettant de tracer divers objets graphiques pris sous forme 
   d'une liste d'objets graphiques
   Exemple d'utilisation : 
      Affichage monDessin;
      // mesObjetsG etant une Vector<ObjetGraphique> 
      // et contenant toutes les figures geometriques a dessiner
      monDessin = new Affichage(mesObjetsG);
      monDessin.setVisible(true);
*/

import java.util.*;
import java.awt.* ;
import javax.swing.* ;
import java.awt.event.* ;

public class Affichage extends JFrame {
   private Vector<ObjetGraphique> lesObjetsG; // les objets a tracer
   
   public Affichage() {
      super("TP1 Programmation Objet en Java");
      lesObjetsG = new Vector<ObjetGraphique>();
      setSize(600,600);
   }
   
   public void paint(Graphics g) {
	  super.paint(g);
      for( ObjetGraphique oG : lesObjetsG) {
         oG.colorerObjet(g); // chaque objet graphique a une methode colorerObjet
         oG.dessinerObjet(g); // chaque objet graphique a une methode dessinerObjet
      }
   }
   
   public void ajoutObjet(ObjetGraphique objet) {
      lesObjetsG.add(objet);
   }
   
}
